--- linux/include/linux/mm.h	Tue Dec 14 19:30:30 1999
+++ work/include/linux/mm.h	Mon Dec 20 16:42:01 1999
@@ -244,8 +244,11 @@
  * The following discussion applies only to them.
  *
  * A page may belong to an inode's memory mapping. In this case,
- * page->inode is the pointer to the inode, and page->offset is the
- * file offset of the page (not necessarily a multiple of PAGE_SIZE).
+ * page->inode is the pointer to the inode, and page->index is the
+ * file offset of the page shifted to the right by PAGE_SHIFT, i.e.
+ * the link between this and the old page->offset is:
+ *        
+ *      page->index == (page->offset >> PAGE_SHIFT)
  *
  * A page may have buffers allocated to it. In this case,
  * page->buffers is a circular list of these buffer heads. Else,
